using Learun.Util;
using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace Learun.Application.Organization
{
    /// <summary>
    /// 版 本 Learun-ADMS-Ultimate V7.0.0 力软敏捷开发框架 
    /// Copyright (c) 2013-2018 上海力软信息技术有限公司 
    /// 创建人：陈彬彬
    /// 日 期：2017.03.04
    /// 描 述：用户数据库实体类
    /// </summary>
     public class StuSaveRecordEntity 
    {
        #region  实体成员
        /// <summary>
        /// 编号
        /// </summary>
        [Column("SID")]
        public string SID { get; set; }
        /// <summary>
        /// 数据来源
        /// </summary>
        [Column("SOURCETABLE")]
        public string SOURCETABLE { get; set; }
        /// <summary>
        /// 记录序号
        /// </summary>
        [Column("ID")]
        public string ID { get; set; }
        /// <summary>
        /// 企业代码
        /// </summary>
        [Column("ECODE")]
        public string ECODE { get; set; }
        /// <summary>
        /// 钱包类型
        /// </summary>
        [Column("NOTECASE")]
        public string NOTECASE { get; set; }
        /// <summary>
        /// 一卡通账号
        /// </summary>
        [Column("CUSTOMERID")]
        public string CUSTOMERID { get; set; }
        /// <summary>
        /// 学工号
        /// </summary>
        [Column("OUTID")]
        public string OUTID { get; set; }
        /// <summary>
        /// 持卡序号
        /// </summary>
        [Column("CARDSN")]
        public string CARDSN { get; set; }
        /// <summary>
        /// 存款卡操作计 数   
        /// </summary>
        [Column("SAVEOPCOUNT")]
        public string SAVEOPCOUNT { get; set; }
        /// <summary>
        /// 消费卡操作计 数
        /// </summary>
        [Column("OPCOUNT")]
        public string OPCOUNT { get; set; }
        /// <summary>
        /// 操作时间
        /// </summary>
        [Column("OPDT")]
        public DateTime? OPDT { get; set; }
        /// <summary>
        /// 余额
        /// </summary>
        [Column("ODDFARE")]
        public string ODDFARE { get; set; }
        /// <summary>
        /// 操作额
        /// </summary>
        [Column("OPFARE")]
        public string OPFARE { get; set; }
        /// <summary>
        /// 管理费、搭伙 费
        /// </summary>
        [Column("MNGFARE")]
        public string MNGFARE { get; set; }
        /// <summary>
        /// 科目代码
        /// </summary>
        [Column("ACCCODE")]
        public string ACCCODE { get; set; }
        /// <summary>
        /// 科目描述
        /// </summary>
        [Column("DSCRP")]
        public string DSCRP { get; set; }
        /// <summary>
        /// 终端编号
        /// </summary>
        [Column("TERMID")]
        public string TERMID { get; set; }
        /// <summary>
        /// 终端记录流水 号
        /// </summary>
        [Column("RECNO")]
        public string RECNO { get; set; }
        /// <summary>
        /// 上传时间
        /// </summary>
        [Column("UPLOADDATE")]
        public DateTime? UPLOADDATE { get; set; }
        /// <summary>
        /// SAM 卡号
        /// </summary>
        [Column("SAMCARDNO")]
        public string SAMCARDNO { get; set; }
        /// <summary>
        /// SAM 卡交易流水 号
        /// </summary>
        [Column("SAMTRADENO")]
        public string SAMTRADENO { get; set; }
        /// <summary>
        /// 交易卡类型
        /// </summary>
        [Column("TRADECARDTYPE")]
        public string TRADECARDTYPE { get; set; }
        /// <summary>
        /// TAC 验证码
        /// </summary>
        [Column("TAC")]
        public string TAC { get; set; }
        /// <summary>
        /// 卡应用序列号
        /// </summary>
        [Column("ASN")]
        public string ASN { get; set; }
        #endregion

        #region  扩展操作
        /// <summary>
        /// 新增调用
        /// </summary>
        public void Create()
      {
            this.SID = Guid.NewGuid().ToString();
        }
        /// <summary>
        /// 编辑调用
        /// </summary>
        /// <param name="keyValue"></param>
        public void Modify(string keyValue)
        {
            this.SID = keyValue;
        }
        #endregion
        #region  扩展字段
        #endregion
    }
}
